/*
 * file.h
 *
 * Describes Empire files and their contents.
 *
 * $Revision: 2.3 $ $Date: 1995/09/13 05:52:38 $
 */

#ifndef _FILE_H_
#define _FILE_H_

#include "prototype.h"

struct empfile {
	s_char *name;		/* file name (e.g., "treaty") */
	s_char *file;		/* file path */
	int flags;		/* misc stuff */
	int mode;		/* O_flags */
	int size;		/* size of object */
	int (*init)();          /* call this when object is created */
	int (*postread)();	/* specific massage routines for items */
	int (*prewrite)();
	int (*validate)();	/* routine used to validate data */
	int varoffs[3];		/* struct offs for nv, vtype, vamt */
	int maxvars;		/* max # vars for type */
	int fd;			/* file descriptor */
	int baseid;		/* starting item in cache */
	int cids;		/* # ids in cache */
	int csize;		/* size of cache in bytes */
	caddr_t cache;		/* pointer to cache */
	int fids;		/* # of ids in file */
	struct castr *cadef;	/* ca defs selection list */
};

#define EFF_COM		bit(0)	/* item has commodities attached */
#define EFF_XY		bit(1)	/* has location */
#define EFF_MEM		bit(2)	/* stored entirely in-memory */
#define EFF_OWNER	bit(3)	/* has concept of owner */
#define EFF_GROUP	bit(4)	/* has concept of group */

#define EF_BAD		-1	/* illegal file type */
#define EF_SECTOR	0
#define EF_SHIP		1
#define EF_PLANE	2
#define	EF_LAND		3
#define EF_NUKE		4
#define EF_NEWS		5
#define EF_TREATY	6
#define EF_TRADE	7
#define EF_POWER	8
#define EF_NATION	9
#define EF_LOAN		10
#define	EF_MAP		11
#define EF_BMAP		12
#define EF_COMM		13

/* unfortunately, the following need to remain constant */
/* so that the toolkit types work correctly. If you add */
/* any new files they need to be added _after_ EF_GEN...*/
/* Yuck... KHM                                          */

#define EF_ITEM		14	
#define	EF_PROD		15
#define EF_VER		16
#define EF_GEN		17

#define EF_MAX		14

struct fileinit {
	int (*init)();
	int (*postread)();
	int (*prewrite)();
	int (*validate)();
	struct castr *cadef;
};

struct castr *ef_cadef _PROTO((int type));
int ef_read _PROTO((int type, int id, caddr_t ptr));
int ef_nbread _PROTO((int type, int id, caddr_t ptr));
s_char *ef_ptr _PROTO((int type, int id));
s_char *ef_nameof _PROTO((int type));
time_t ef_mtime _PROTO((int type));
extern struct empfile empfile[];

#endif /* _FILE_H_ */
