.TH Command FIRE
.NA fire "Fire shells from sector/ship/unit at sector/ship"
.LV Basic
.s1
If the FORTFIRE option is enabled, then the syntax is:
.SY "fire <SECTS|SHIPS|UNITS> <TARGET SECT|SHIP> [numtimes] [sect|ship|land]"
.s1
Otherwise, forts are not allowed to fire, and the syntax becomes:
.SY "fire <SHIPS|UNITS> <TARGET SECT|SHIP> [numtimes] [ship|land]"
.s1
.L "Arguments"
.s1
The first argument <SECTS|SHIP|UNITS> specifies which forts, ships,
and/or artillery units you want to fire with.  For example, if you
type:
.EX fire * 12,8
Then all of your forts, ships, and artillery units within range of
12,8 will fire at 12,8.
.s1
You can fire between 1 and 20 times.  If you fire more than once, it
has exactly the same effect as if you had typed in the same fire
command that many times.  i.e.
.EX fire * 12,8 3
is equivalent to
.EX fire * 12,8
.EX fire * 12,8
.EX fire * 12,8
.s1
You can specify that you only want to fire with forts, ships, or
artillery, by specifying the fourth optional argument.  Here are some
examples:
Fire with forts in realm #2
.EX fire #2 12,8 1 sect
Fire with ships in fleet f
.EX fire f 12,8 1 ship
Fire with artillery units 16/17
.EX fire 16/17 12,8 1 land
.s1
.L "Prerequisites"
.s1
Before a fort, ship, or artillery unit can fire, certain conditions
must be satisfied.  First, the chance of missing the target must be
less than 10% (see "Missing" below).  Also, you must have enough
shells to fire (see "Shells Consumed" below).  If you don't have
enough shells, supply will be drawn first to try to pull in enough
shells.  Here are some further restrictions:
.NF
Forts:
  1) Must be at least 5% efficient
  2) Must contain at least 1 gun
  3) Must contain at least 5 military
Ships:
  1) Must be at least 60% efficient
  2) Must contain at least 1 gun
  3) Must contain at least 1 military
Artillery units:
  1) Must be at least 20% efficient
.FI
.s1
.L "Range"
.s1
The fire range of a fort is 7 times your nation's tech factor (as shown
by the "nation" command).  If a fort is 60% efficient, then it gets a
+1 range bonus.  The fire range of a ship is the tech factor
of the ship multiplied by the value of "rng" in "show ship stats"
divided by 2.  The fire range of artillery units is the tech factor of
the unit multiplied by "frg" in "show land stats".  Tech factor is
equal to (50 + tech) / (200 + tech).  Note that the fire
ranges of all things are scaled by the game's fire range scale, which
is listed in the "version" command output as:
  Fire ranges are scaled by 0.50
.s1
.L "Missing"
.s1
If the target is near the limit of your fire range, then there is a
chance that you will miss the target.  For example, if your fire range
is 2.36 and the distance to the target is 3, then your chance of
hitting the target will be 36%.  Note that if your chance of hitting
the target is less than 10%, then that target is considered out of
range, and you will not be permitted to try to hit it.
.s1
.L "Damage"
.s1
The amount of damage done depends on the number of shots fired and the
efficiency of the thing firing.  See "info Damage" for exact
formulas.  If the distance to the target is further than your effective
range, then damage is divided by two.  Your effective range is
equal to your fire range minus 1, and is rounded in the same way as
described in "Missing" above.  Thus, if your fire range is 2.36, then
your effective range will be 1.36 with a 36% chance of your effective
range being 2 and a 64% chance that your effective range is 1.  The
dice are rolled separately for how fire range and effective range are
rounded.
.s1
.L "Shells consumed"
.s1
The number of shells consumed
is equal to the number of shots fired divided by 2 (rounded randomly).
For example, a fort containing 7 guns will consume (randomly)
either 3 or 4 shells each time you fire from it.
.s1
.L "Mobility cost"
.s1
Ships are charged 15 mobility (to a minimum of -100) each time they
fire, unless the NOMOBCOST option is in effect.
.s1
.L "Submarines"
.s1
Only ships with "dchrg" (depth-charge) capability (see "show ship
capabilities") can fire at subs.  Subs may only fire at ships.  Subs
are only allowed to fire at other subs if they have "sub-torp" capability.
(Note you can also hit subs using ASW planes.)
.s1
.L "Return fire"
.s1
After the enemy ship or sector has taken damage, then all enemy forts,
ships, and artillery units within range will fire back at you.  If
allies of your enemy also have firepower nearby, then if they are at
war with you, they will return fire as well.  Return fire
is spread out evenly among the attackers in range.  The way this works
is rather complicated and best illustrated by an example.
.NF
Suppose there are two islands owned by Lothlorien and Mirkwood:

 Lothlorien    Mirkwood

 1  . . . . . . . . .
 0 . f f f . . f f f .
-1  . . . . . . . . .
   0000000000111111111
   0123446789012345678

And say that Lothlorien fired all three of his forts at the
closest Mirkwood fort at 12,0.  Suppose that the fort range of both
countries is 5.  Then that would mean that when Mirkwood returns fire,
his leftmost fort will be able to hit all three of Lothlorien's forts,
and so the damage from that fort will be evenly divided among those
three forts.
However, the rightmost Mirkwood fort is only be able to hit Lothlorien's
rightmost fort, so all of the return damage gets applied to that one
fort.  Thus, if each Mirkwood fort did 60 points of damage, then the
damage inflicted on the Loth forts will be:
2,0 = 60/3             =  20 damage
4,0 = 60/3 + 60/2      =  50 damage
6,0 = 60/3 + 60/2 + 60 = 110 damage

The rule of thumb with return fire is that the closer you are to the
enemy, the greater proportion of return fire you will draw.
.FI
.s1
.L "Reports"
.s1
When you shell the enemy, you get a report that looks like this:
.EX fire * 2,-2
.NF
                                                   return start  new rounds
  sect   type                    damage range dist damage   eff  eff   left
   3,-3  dd2 destroyer 2 (#1)        19  1.38    1     27   66%  54%    15
   3,-3  dd2 destroyer 2 (#3)        17  1.38    1     27   66%  54%    15
   3,-3  dd2 destroyer 2 (#9)        16  1.38    1     27   67%  55%    15
   5,-5  bb4 battleship 4 (#11)      56  2.76    3                       7
   5,-5  bb4 battleship 4 (#12)      37  2.76    3                      12
         TOTAL                      145                81

       damage: amount of damage delivered
        range: fire range
         dist: distance to target
return damage: amount of return fire damage received
    start eff: the efficiency of the item before it fired
      new eff: the eff of the item after return fire damage has been applied
  rounds left: how many more times it can fire before it runs out of shells

.FI
The victim of this shelling received the following telegram:
.EX read y
.NF
> BULLETIN from POGO, (#0)  dated Sun May  5 13:30:59 1996
Incoming 4 (#4) shells from  21,-1  23,-3
             harbor 20,0  29% eff takes  147 damage.  New eff is  17%
Return fire...
                                              rounds
  sect   type                    damage range   left
  19,1   hat2  hvy artillery 2 #6    83  2.19      1
         TOTAL                       83

.FI
Note that the "rounds left" for artillery units is often misleading
because they usually draw supply every time they fire.
.s1
If the SLOW_WAR option is in use, you cannot fire on the
land of any nation you are not at war with. (see info relations)
.s1
.SA "attack, assault, Technology, relations, Damage, Combat, Ships"
