#ifndef lint
static char *RCSid = "$Header: /users/empire/EMP/empmain/COMS/RCS/mark.c,v 1.10 89/07/19 22:00:04 jeffw Exp $";
#endif /* not lint */

/*
 * mark.c
 *
 * World market report for commodities.
 * displays only the "best prices" for all the
 * commodities available for trading.
 *
 * Dave Pare, 1986
 */

#include "misc.h"
#include "nat.h"
#include "var.h"
#include "item.h"
#include "deity.h"
#include "commodity.h"
#include "player.h"
#include "file.h"

mark()
{
    struct  comstr  comm;
    int     sellers = 0;
    float   price;
    time_t  now;
    double  tleft;
    int     cnt = 0;
    
/* First, we execute all trades, so that we can only buy what is available. */
    check_market();
    check_trade();

    pr("\n     Empire Market Report\n   ");
    prdate();
    pr(" lot  high bid/unit  by  time left  owner  item  amount  sector\n");
    pr(" ---  -------------  --  ---------  -----  ----  ------  ------\n");
    for (sellers = 0; getcomm(sellers, &comm); sellers++) {
	if (comm.com_owner == 0)
	    continue;
	cnt = 1;
 	(void) time(&now);
	tleft = MARK_DELAY / 3600.0 - (now - comm.com_markettime) / 3600.0;
	if (tleft < 0.0) 
	    tleft = 0.0;
	pr(" %3d  $%12.2f  %2d  %5.2f hrs  (%3d)   %c    %6d  ",
	   sellers,
	   comm.com_maxprice,
	   comm.com_maxbidder,
	   tleft,
	   comm.com_owner,
	   comm.com_type,
	   comm.com_amount);
	if (comm.com_owner == player->cnum)
	    pr("%s", xyas(comm.sell_x, comm.sell_y,player->cnum));
	pr("\n");
    }       
    if (cnt <= 0)
	pr("\nHmmmm, the market seems to be empty today.\n");
    else
	pr("\nLooks just like Christmas at K-mart, doesn't it!\n");
    return RET_OK;
}
